using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 试卷大题管理服务
/// </summary>
[ApiDescriptionSettings(Name = "exam-paper-question-major")]
[Route("exam/paper/question/major")]
public class ExamPaperQuestionMajorAppService : IDynamicApiController
{
    private readonly IExamPaperQuestionMajorService _examPaperQuestionMajorService;

    public ExamPaperQuestionMajorAppService(IExamPaperQuestionMajorService examPaperQuestionMajorService)
    {
        _examPaperQuestionMajorService = examPaperQuestionMajorService;
    }

    /// <summary>
    /// 添加
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Add(AddExamPaperQuestionMajorInput input)
    {
        await _examPaperQuestionMajorService.Add(input);
    }
    /// <summary>
    /// 更新
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Update(UpdateExamPaperQuestionMajorInput input)
    {
        await _examPaperQuestionMajorService.Update(input);
    }
    /// <summary>
    /// 删除
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Del(BaseId input)
    {
        await _examPaperQuestionMajorService.Del(input);
    }
    /// <summary>
    /// 根据试卷ID获取大题列表
    /// </summary>
    /// <param name="examPaperId"></param>
    /// <returns></returns>
    public async Task<List<ExamPaperQuestionMajorOutput>> GetListByExamPaperId(int examPaperId)
    {
        return await _examPaperQuestionMajorService.GetListByExamPaperId(examPaperId);
    }
}
